using UnityEngine;

namespace Cute;

public static class NativePluginWrapper
{
	public enum BatteryState
	{
		UNKNOWN,
		DISCHARGING,
		CHARGING,
		FULL
	}

	public enum NetworkMode
	{
		UNCONNECTED,
		WIFI,
		MOBILE
	}

	public static void DeviceInit()
	{
	}

	public static int GetUseResidentMemory()
	{
		return 0;
	}

	public static int GetUseVirtualMemory()
	{
		return 0;
	}

	public static int GetDeviceFreeMemory()
	{
		return 0;
	}

	public static int GetVmUseMemory()
	{
		return 0;
	}

	public static int GetVmFreeMemory()
	{
		return 0;
	}

	public static void SetStringToClipboard(string copyText)
	{
		ClipboardHelper.Clipboard = copyText;
	}

	public static int GetAccelerometerRotation()
	{
		return 1;
	}

	public static void RequestAudioFocus()
	{
	}

	public static void AbandonAudioFocus()
	{
	}

	public static string GetMacAddressByName(string devicename)
	{
		return null;
	}

	public static void DispStatusBar(bool isDisp)
	{
		if (isDisp)
		{
			Screen.fullScreen = false;
		}
		else
		{
			Screen.fullScreen = true;
		}
	}

	public static void RegistPhoneStateListener()
	{
	}

	public static void UnregistPhoneStateListener()
	{
	}

	public static int GetBatteryLevel()
	{
		return 0;
	}

	public static BatteryState GetBatteryState()
	{
		return BatteryState.UNKNOWN;
	}

	public static int GetWifiAntenaLevel()
	{
		return 0;
	}

	public static NetworkMode GetNetworkMode()
	{
		return NetworkMode.UNCONNECTED;
	}

	public static bool IsAirplaneMode()
	{
		return false;
	}

	public static int GetCdmaDbm()
	{
		return 0;
	}

	public static int GetCdmaEcio()
	{
		return 0;
	}

	public static int GetEvdoDbm()
	{
		return 0;
	}

	public static int GetEvdoEcio()
	{
		return 0;
	}

	public static int GetDescriveContents()
	{
		return 0;
	}

	public static bool IsGsm()
	{
		return false;
	}

	public static int GetSignalHashCode()
	{
		return 0;
	}

	public static int GetGsmSignalStrength()
	{
		return 0;
	}

	public static int GetGsmBitErrorRate()
	{
		return 0;
	}

	public static void ShowToast(string text)
	{
	}

	public static void DumpWWWCache()
	{
	}

	public static void SetCacheMemorySize(int nMemSize)
	{
	}

	public static int GetCacheDiskUsage()
	{
		return 0;
	}

	public static int GetCacheDiskCapacity()
	{
		return 0;
	}

	public static int GetCacheCurrentMemoryUsage()
	{
		return 0;
	}

	public static int GetCacheCurrentMemoryCapacity()
	{
		return 0;
	}

	public static void ClearWWWCache()
	{
	}
}
